<?xml version='1.0' encoding='UTF-8' standalone='no'?>
<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="compound.xsd" version="1.8.11">
  <compounddef id="classpyspottedunipd_1_1ngrams_1_1ngram_1_1_cup" kind="class" language="Python" prot="public">
    <compoundname>pyspottedunipd::ngrams::ngram::Cup</compoundname>
      <sectiondef kind="public-attrib">
      <memberdef kind="variable" id="classpyspottedunipd_1_1ngrams_1_1ngram_1_1_cup_1ad9ab0194908366854037a88fc668695b" prot="public" static="no" mutable="no">
        <type></type>
        <definition>pyspottedunipd.ngrams.ngram.Cup::next_word</definition>
        <argsstring></argsstring>
        <name>next_word</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/ngrams/ngram.py" line="10" column="1" bodyfile="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/ngrams/ngram.py" bodystart="10" bodyend="-1"/>
      </memberdef>
      </sectiondef>
      <sectiondef kind="public-func">
      <memberdef kind="function" id="classpyspottedunipd_1_1ngrams_1_1ngram_1_1_cup_1a5fd14941fe5d58d594701f7a2f7060c2" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>def</type>
        <definition>def pyspottedunipd.ngrams.ngram.Cup.__init__</definition>
        <argsstring>(self)</argsstring>
        <name>__init__</name>
        <param>
          <type>self</type>
          <defname>self</defname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/ngrams/ngram.py" line="9" column="1" bodyfile="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/ngrams/ngram.py" bodystart="9" bodyend="11"/>
      </memberdef>
      <memberdef kind="function" id="classpyspottedunipd_1_1ngrams_1_1ngram_1_1_cup_1a827d1d287e3e81c7e32c3ad9621e7c02" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>def</type>
        <definition>def pyspottedunipd.ngrams.ngram.Cup.add_next_word</definition>
        <argsstring>(self, word)</argsstring>
        <name>add_next_word</name>
        <param>
          <type>self</type>
          <defname>self</defname>
        </param>
        <param>
          <type>word</type>
          <defname>word</defname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para><verbatim>Used to add words to the cup and keep track of how many times we see it </verbatim> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/ngrams/ngram.py" line="12" column="1" bodyfile="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/ngrams/ngram.py" bodystart="12" bodyend="17"/>
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
<para><verbatim>A class defining a cup that will hold the words that we will pull out </verbatim> </para>    </detaileddescription>
    <location file="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/ngrams/ngram.py" line="6" column="1" bodyfile="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/ngrams/ngram.py" bodystart="6" bodyend="18"/>
    <listofallmembers>
      <member refid="classpyspottedunipd_1_1ngrams_1_1ngram_1_1_cup_1a5fd14941fe5d58d594701f7a2f7060c2" prot="public" virt="non-virtual"><scope>pyspottedunipd::ngrams::ngram::Cup</scope><name>__init__</name></member>
      <member refid="classpyspottedunipd_1_1ngrams_1_1ngram_1_1_cup_1a827d1d287e3e81c7e32c3ad9621e7c02" prot="public" virt="non-virtual"><scope>pyspottedunipd::ngrams::ngram::Cup</scope><name>add_next_word</name></member>
      <member refid="classpyspottedunipd_1_1ngrams_1_1ngram_1_1_cup_1ad9ab0194908366854037a88fc668695b" prot="public" virt="non-virtual"><scope>pyspottedunipd::ngrams::ngram::Cup</scope><name>next_word</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>
